none
Using .Net Framework 2.0 DLL file on .Net Framework 4.0 or higher RRS feed

  • Question

  •  I have a dll file that works fine with .Net Framwork 2.0 to 3.5, but it does not work with ver 4.0 and above. I tried all points on ver 4.0  with no luck.  is there a work around for that ?
    Wednesday, August 24, 2016 5:47 AM

Answers

  • Hi Hussein ,

    Thank you for your post.

    Firstly, we need to make sure that if the cause is pending on the .Net Framework.

    I suggest you use .NET Framework Setup Verification Tool to check if the .NET
    Framework is ok. 
    http://blogs.msdn.com/b/astebner/archive/2008/10/13/8999004.aspx


    If you find there is anything wrong with .NET Framework, you may use Microsoft .NET Framework Repair Tool to do a repair, This tool detects and tries to fix some frequently occurring issues with the setup of Microsoft .NET Framework or with updates to the Microsoft .NET Framework.
    https://www.microsoft.com/en-us/download/details.aspx?id=30135

    Besides, if you find anything wrong with your .Net Framework, you could try using a standalone installer to install .NET Framework 4.0 You can get the Standalone Installer from following link:

    https://www.microsoft.com/en-sg/download/details.aspx?id=17851

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.

    Click HERE to participate the survey.

    Wednesday, August 24, 2016 10:06 AM
    Moderator